## Script (Python) "monthRange"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=dt
##title=
##
from DateTime import DateTime
month_len =((0, 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31), 
(0, 31, 29, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31))
"""
Return a pair of DateTime values representing the
earliest and latest times in the month in which 'dt'
falls.
"""
y, m, d = dt.year(), dt.month(), dt.day()
first = DateTime( y, m, 1 )
last = first - 1 + month_len[ dt.isLeapYear() ][ m ]
return first.earliestTime(), last.latestTime()
